2 Replies Latest reply on Aug 6, 2014 6:57 PM by sharjor

    Do I need Adobe Digital Editions 2 and 3. on my computer?

    sharjor

      Recently I was going through 'Programs and Features' and realized I had Adobe Digital Editions 2 and 3 installed. Are both needed. I am running Vista on Windows 7 (64 bit).
      I have medical memory problems and am finding Chrome to be challenging.

      I also wonder if this could be related to the problem I am having with not being able to open Adobe Reader. I have the JavaScript all figured out and am trying everything I can think of to open Adobe Reader. I am open to any suggestions.

      Because of my problems all replys need to be in English (not in computer jargon) and in a 1, 2, 3 sequence. Sorry to be troublesome but thats me.

      Thanks to all who want to give it a try.

       

        • 1. Re: Do I need Adobe Digital Editions 2 and 3. on my computer?
          Selenity Jade

          I had the same issue.  I uninstalled version 2 and my program ran fine.  Well, it still has the same problem I had with version 2, which is why I'm in the forums right now, but you don't need both versions.  I don't know if having both will cause issues or not (some extensions and apps have this issue) from what I saw, downloading version 3 did not update version 2.  You just got another ADE program that was a bit newer.

           

          However, I'm not an expert.  This is just what I experienced by uninstalling it.  I highly doubt you'd have a problem.  And if you do have some weird issue from it?  Uninstall all ADE programs from your computer, and then reinstall the most current version available.  Should fix you right up.  Good luck!

           

          Lovies,

          Selenity Jade

          Coffee Addict & Insomniac

          • 2. Re: Do I need Adobe Digital Editions 2 and 3. on my computer?
            sharjor Level 1

            Thanks. I will delete the Editions 2 and see what happens. If all else I can delete both and then redownload Editions 3 and hope I get all the latest information needed..